#!/bin/bash
set -e

cd "$(dirname "$0")/steam-gift-manager"

# 1. Extrahiere alle Texte
docker-compose exec steam-manager pybabel extract -F babel.cfg -o translations/messages.pot .

# 2. Initialisiere Sprachen (nur einmal nötig, danach auskommentieren)
for lang in de en; do
    if [ ! -f "../steam-translations/$lang/LC_MESSAGES/messages.po" ]; then
        docker-compose exec steam-manager pybabel init -i translations/messages.pot -d translations -l $lang
    fi
done

# 3. Aktualisiere Übersetzungen
docker-compose exec steam-manager pybabel update -i translations/messages.pot -d translations

# 4. Kompiliere Übersetzungen
docker-compose exec steam-manager pybabel compile -d translations

echo "✅ Übersetzungen extrahiert, aktualisiert und kompiliert!"
